Bug 1656932 - [Dual-head] gnome shell freeze while opening an app.
Summary: [Dual-head] gnome shell freeze while opening an app.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: mutter
Version: 8.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 8.0
Assignee: Jonas Ådahl
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1635157 1657660
TreeView+ depends on / blocked
 
Reported: 2018-12-06 16:55 UTC by Jiri Koten
Modified: 2019-06-14 00:53 UTC (History)
5 users (show)

Fixed In Version: mutter-3.28.3-9.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:53:15 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
session log (13.60 KB, text/plain)
2018-12-06 16:56 UTC, Jiri Koten
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/mutter/issues/198 None None None 2019-01-03 18:19:26 UTC

Description Jiri Koten 2018-12-06 16:55:32 UTC
Description of problem:
Running Wayland with nvidia binary drivers, using dual head - two external monitors, opening and app from the overview results in gnome-shell freeze.

Won't happen with only single monitor.

[drm:nv_drm_internal_framebuffer_create [nvidia_drm]] *ERROR* [nvidia-drm] [GPU ID 0x00000100] Failed to create NvKmsKapiSurface


Version-Release number of selected component (if applicable):
mutter-3.28.3-5.el8
kernel-4.18.0-48.el8
nvidia drivers 410.78

How reproducible:
100%

Steps to Reproduce:
1. Use two monitors
2. Disable the gdm udev rule for nvidia
3. enable nvidia modeset
4. Login to session
5. Go to overview
6. Open firefox 


Actual results:
gnome-shell freeze

Expected results:
Firefox runs successfully

Additional info:

Comment 1 Jiri Koten 2018-12-06 16:56:48 UTC
Created attachment 1512209 [details]
session log

gnome-shell[17941]: Failed to flip EGL stream (An EGLStreamKHR argument is not in a valid state), relying on clock from now on

Comment 5 Tomas Pelka 2019-01-10 10:57:42 UTC
Related to Bug 1657660.

So justification is the same as https://bugzilla.redhat.com/show_bug.cgi?id=1657660#c9

Comment 7 Jonas Ådahl 2019-01-11 16:05:50 UTC
Fixed as a side effect of the patch in https://bugzilla.redhat.com/show_bug.cgi?id=1656905

Comment 9 Jiri Koten 2019-02-12 13:21:12 UTC
Verified in mutter-3.28.3-17.el8

kernel-4.18.0-67.el8
NVidia 410.93


Note You need to log in before you can comment on or make changes to this bug.